## org.eclipse.emf.ocl.utilities.util
Class UtilitiesSwitch

    java.lang.Object
      org.eclipse.emf.ocl.utilities.util.UtilitiesSwitch

Deprecated. Use the `UtilitiesSwitch` class, instead.

    @Deprecated
    public class UtilitiesSwitch

extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `UtilitiesPackage`

Field Summary
`static String` `copyright` Deprecated.
`protected static UtilitiesPackage` `modelPackage` Deprecated. The cached model package

Constructor Summary
`UtilitiesSwitch()` Deprecated. Creates an instance of the switch

Method Summary
`Object` `caseASTNode(ASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'AST Node'
`Object` `caseCallingASTNode(CallingASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'Calling AST Node'
`Object` `casePredefinedType(PredefinedType object)` Deprecated. Returns the result of interpretting the object as an instance of 'Predefined Type'
`Object` `caseTypedASTNode(TypedASTNode object)` Deprecated. Returns the result of interpretting the object as an instance of 'Typed AST Node'
`Object` `caseVisitable(Visitable object)` Deprecated. Returns the result of interpretting the object as an instance of 'Visitable'
`Object` `defaultCase(EObject object)` Deprecated. Returns the result of interpretting the object as an instance of 'EObject'
`protected Object` `doSwitch(EClass theEClass, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`Object` `doSwitch(EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected Object` `doSwitch(int classifierID, EObject theEObject)` Deprecated. Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### modelPackage

    protected static UtilitiesPackage modelPackage

  Deprecated.
  The cached model package

Constructor Detail

### UtilitiesSwitch

    public UtilitiesSwitch()

  Deprecated.
  Creates an instance of the switch.

Method Detail

### doSwitch

    public Object doSwitch(EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected Object doSwitch(EClass theEClass,
                              EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected Object doSwitch(int classifierID,
                              EObject theEObject)

  Deprecated.
  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseVisitable

    public Object caseVisitable(Visitable object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Visitable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Visitable'.
  See Also:
    `doSwitch(EObject)`

### caseASTNode

    public Object caseASTNode(ASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseTypedASTNode

    public Object caseTypedASTNode(TypedASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Typed AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Typed AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseCallingASTNode

    public Object caseCallingASTNode(CallingASTNode object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Calling AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Calling AST Node'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedType

    public Object casePredefinedType(PredefinedType object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'Predefined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Predefined Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public Object defaultCase(EObject object)

  Deprecated.
  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.